#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Carp
%define		pnam	Assert-More
Summary:	Carp::Assert::More - convenience wrappers around Carp::Assert
Name:		perl-Carp-Assert-More
Version:	1.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e056db5883a4ec7cdd62443046aa7e0a
URL:		http://search.cpan.org/dist/Carp-Assert-More/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Pod-Tests >= 0.18
BuildRequires:	perl-Test-Simple >= 0.40
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Carp::Assert::More is a set of wrappers around the Carp::Assert
functions to make the habit of writing assertions even easier.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%dir %{perl_vendorlib}/Carp/Assert
%{perl_vendorlib}/Carp/Assert/More.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Carp-Assert-More.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3512c2b
- up to 1.20

* Sun Aug 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 901650f
- release 3

* Sat Aug 09 2008 radek <radek@pld-linux.org> e37b0e9
- release 2: Name .= "-More"

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a8cc055
- include dir

* Sat Aug 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0cd6267
- initial

